<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for modules/google.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../prettify.css" />
    <link rel="stylesheet" href="../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../index.html">all files</a> / <a href="index.html">modules/</a> google.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">15.79% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>3/19</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/6</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/0</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">15.79% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>3/19</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&nbsp;
'use strict'
&nbsp;
/**
Used to make calls to the Google Books API.
 * @module google
 */
&nbsp;
const request = require('request')
&nbsp;
/** Searches the Google API for books matching the string.
 * @function searchByString
 * @param {String} query the string to search for
 * @param {Function(Error, Object)} callback run on completion
 */
exports.searchByString = (query, callback) =&gt; {
<span class="cstat-no" title="statement not covered" >	const url = `https://www.googleapis.com/books/v1/volumes?maxResults=40&amp;fields=items(id,volumeInfo(title,industryIdentifiers))&amp;q=${query}`</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >	request.get(url, (err, res, body) =&gt; {</span>
<span class="cstat-no" title="statement not covered" >		if (err) {</span>
<span class="cstat-no" title="statement not covered" >			callback(Error('failed to make API call'))</span>
		}
<span class="cstat-no" title="statement not covered" >		const data = JSON.parse(body)</span>
<span class="cstat-no" title="statement not covered" >		callback(null, data)</span>
	})
}
&nbsp;
/** Returns details of the book specified by the supplied ISBN.
 * @function getByISBN
 * @param {String} isbn the ISBN of the book to return
 * @param {Function(Error, Object)} callback run on completion
 */
exports.getByISBN = (isbn, callback) =&gt; {
<span class="cstat-no" title="statement not covered" >	const url = `https://www.googleapis.com/books/v1/volumes?fields=items(volumeInfo(title,authors,description, publisher))&amp;q=isbn:${isbn}`</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >	request.get( url, (err, res, body) =&gt; {</span>
<span class="cstat-no" title="statement not covered" >		if (err) {</span>
<span class="cstat-no" title="statement not covered" >			callback(err)</span>
<span class="cstat-no" title="statement not covered" >			return</span>
		}
<span class="cstat-no" title="statement not covered" >		const json = JSON.parse(body)</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >		if (json.totalItems === 0) {</span>
<span class="cstat-no" title="statement not covered" >			callback( new Error('book not found'))</span>
		}
<span class="cstat-no" title="statement not covered" >		const data = {</span>
			isbn: isbn,
			title: json.items[0].volumeInfo.title,
			authors: json.items[0].volumeInfo.authors,
			description: json.items[0].volumeInfo.description
		}
<span class="cstat-no" title="statement not covered" >		callback(null, data)</span>
	})
}
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Sun Jul 02 2017 10:35:44 GMT+0100 (BST)
</div>
</div>
<script src="../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../sorter.js"></script>
</body>
</html>
